Package org.spongepowered.asm.service

## Class ServiceNotAvailableError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Error
    - - org.spongepowered.asm.service.ServiceNotAvailableError

All Implemented Interfaces:
  `java.io.Serializable`

    public class ServiceNotAvailableError
    extends java.lang.Error

Error to throw when no service is available in the current environment

See Also:
  Serialized Form

### Constructor Summary

Constructors
`ServiceNotAvailableError​(java.lang.String message)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ServiceNotAvailableError

    public ServiceNotAvailableError​(java.lang.String message)